Subject: Re: [PATCH 0/2] tools: ynl: two patches to ease building with rpmbuild

From: Donald Hunter <[email-masked]>
Date: Tue, 12 Nov 2024 09:26:57 +0000

Jan Stancek <[email-masked]> writes:

> On Tue, Nov 12, 2024 at 12:52 AM Jakub Kicinski <[email-masked]> wrote:
>>
>> One thing I keep thinking about, maybe you already read this, is to
>> add  some sort of spec search path and install the specs under /usr.
>> So the user can simply say --family X on the CLI without specifying
>> the fs full path to the YAML file. Would you be willing to send a patch
>> for this?
>
> I can look at adding--family option (atm. for running ynl in-tree).
>
> One thing I wasn't sure about (due to lacking install target) was whether
> you intend to run ynl always from linux tree.
>
> If you're open to adding 'install' target, I think that should be something
> to look at as well. It would make packaging less fragile, as I'm currently
> handling all that on spec side.

Hi Jan,

I am happy to work with you on adding an install target, plus some other
UX improvements like --family.

Thanks,
Donald.